Skip to navigation

List Protein items

List Protein items. Default and max page size is 15.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

archiveReason.anyOfstringOptional

Restricts items to those with any of the specified archive reasons. Use “NOT_ARCHIVED” to filter for unarchived items. Use “ANY_ARCHIVED” to filter for archived items regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived. Comma-separated list.

archived.anyOfbooleanOptional

If true, returns archived items. If false, returns unarchived items. If both true and false, returns archived and unarchived items. Comma-separated list.

authors.anyOfstringOptional

Restricts results to those whose author matches any of the specified user or author IDs. Comma-separated list.

createdAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

creator.anyOfstringOptional

Restricts results to those created by any of the specified user IDs. Comma-separated list.

entityRegistryIds.anyOfstringOptional

Restricts results to those that match any of the specified entity registry IDs. Comma-separated list.

fieldset.anyOfstringOptional

Restricts results to those whose schema implements any of the specified fieldset API IDs (custom schema interfaces). Comma-separated list.

folder.eqstringOptional
ID of a folder. Restricts results to its direct children.
id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

mentionedIn.anyOfstringOptional

Restricts results to items mentioned in entries matching any of the specified entry IDs. Comma-separated list.

modifiedAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.

modifiedAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. <= 2017-04-30.

name.anyOfstringOptional

Restricts results to those that match any of the specified names. Case insensitive. Warning - this filter can be non-performant due to case insensitivity. Ensure only one name filter is used at a time. Comma-separated list.

name.anyOf.caseSensitivestringOptional

Restricts results to those that match any of the specified names. Case sensitive. Ensure only one name filter is used at a time. Comma-separated list.

nextTokenstringOptional
Token for pagination
omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
project.eqstringOptional
ID of a project. Restricts results to those in the project.
registry.eqstringOptional
ID of a registry. Restricts results to those registered in this registry. Specifying "null" returns unregistered items.
returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

schema.anyOfstringOptional

Restricts results to those that match any of the specified schema IDs. Use only one schema filter arg at a time. Comma-separated list.

schema.eqstringOptional

Single schema ID. Restricts results to those that match the specified schema exactly. Use only one schema filter arg at a time.

systemCategory.anyOfstringOptional

Restricts results to those whose schema implements any of the specified system category API IDs (non-exclusive static schema interfaces). Comma-separated list.

sortenumOptionalDefaults to modifiedAt:desc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
Protein List Request Bad Request Error
403
Protein List Request Forbidden Error
404
Protein List Request Not Found Error
429
Protein List Request Too Many Requests Error
500
Protein List Request Internal Server Error